.TH SSDPY-SERVER "1" "August 2022" "SSDPy"
.SH NAME
ssdpy-server \- Start an SSDP server
.SH SYNOPSIS
.B ssdpy-server
[\fIoptions\fR] \fIusn\fR
.SH DESCRIPTION
.B ssdpy-server
is an SSDP server that sends NOTIFY packets to notify SSDP clients
about a service, and responds to relevant M-SEARCH packets.
.SH OPTIONS
.TP
.I usn
Unique server name to broadcast
.TP
.BR \-h ", " \-\-help
Show the program's built-in help message and exit.
.TP
.BR \-V ", " \-\-version
Show the program's version number and exit.
.TP
.BR \-v ", " \-\-verbose
Increase verbosity.
.TP
.BR \-4 ", " \-\-ipv4
Listen on IPv4 (default).
.TP
.BR \-6 ", " \-\-ipv6
Listen on IPv6 instead of IPv4.
.TP
.BR \-t ", " \-\-device-type " " \fIdevice-type\fR
Specify the broadcasted device type; affects the NT field. Defaults to
.B ssdp:rootdevice\fR.
.TP
.BR \-i ", " \-\-iface " " \fIinterface\fR
Listen on a specific network interface.
.TP
.BR \-p ", " \-\-port " " \fIport\fR
Listen for M-SEARCH on a specific port; defaults to \fB1900\fR.
.TP
\fB\-\-max-age\fR \fImax-age\fR
Specify the amount of seconds that the server info should be cached for
(by default, it's not cached at all).
.TP
.BR \-l ", " \-\-location " " \fIlocation\fR
Specify the location that notifications should point to; this sets both
LOCATION and AL.
.TP
.BR \-a ", " \-\-address " " \fIaddress\fR
Specify address of the interface to listen on (only valid for IPv4).
.TP
\fB\-e\fR, \fB\-\-extra-field\fR \fIname\fR \fIvalue\fR
Specify extra fields to pass in NOTIFY packets. This option can be
passed multiple times for multiple extra headers.
.SH COPYRIGHT
Copyright \(co 2019\-2020 Moshi Binyamini.
.PP
.br
This is free software; see the source for copying conditions.
There is NO WARRANTY, to the extent permitted by law.
